Bug 673792 - Review Request: mingw-crt - MinGW Windows cross-compiler runtime
Review Request: mingw-crt - MinGW Windows cross-compiler runtime
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
:
Depends On: 673784
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-30 11:09 EST by Erik van Pienbroek
Modified: 2014-12-23 15:04 EST (History)
5 users (show)

See Also:
Fixed In Version: mingw-antlr-2.7.7-8.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-01 20:23:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kalevlember: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Erik van Pienbroek 2011-01-30 11:09:36 EST
Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-crt/mingw-crt.spec
SRPM URL: http://build1.openftd.org/fedora-cross/src/mingw-crt-1.0-0.3.20101003.fc15_cross.src.rpm
Description:
MinGW Windows cross-compiler runtime, base libraries.


This is a rename request as it will replace the original mingw32-runtime
package. For more details and a link to a testing repository, see
https://fedoraproject.org/wiki/Features/CrossCompilerFramework and
https://fedoraproject.org/wiki/PackagingDrafts/CrossCompilerFramework
Comment 1 Erik van Pienbroek 2011-01-30 11:10:08 EST
Made this review block FE-Legal so they can indicate whether this package can
be added to Fedora
Comment 2 Erik van Pienbroek 2011-04-23 08:47:07 EDT
The new packaging guidelines have been approved in the FPC meeting of April 13:
http://meetbot.fedoraproject.org/fedora-meeting/2011-04-13/fpc.2011-04-13-15.59.html

In order to comply with these guidelines, some changes have been applied in
this package, so here's a new package which implements everything
mentioned in the packaging guidelines.

Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-crt/mingw-crt.spec
SRPM URL:
http://ftd4linux.nl/contrib/mingw-crt-1.0-0.4.20110413.trunk.fc15.src.rpm

* Thu Apr 14 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.0-0.4.20110413.trunk
- Update to 20110413 snapshot of the trunk branch
- Made the package compliant with the new packaging guidelines
Comment 3 Richard Fontana 2012-02-22 00:11:49 EST
Lifting FE-Legal block.
Comment 4 Erik van Pienbroek 2012-02-22 01:43:58 EST
Does this lift mean that the use of mingw-w64 in Fedora is approved by Red Hat Legal now?

Here is the latest version of the spec/srpm for review:
Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-crt/mingw-crt.spec
SRPM URL: http://build1.openftd.org/fedora-cross/src/mingw-crt-2.0.999-0.3.trunk.20120124.fc17_cross.src.rpm
Comment 5 Richard Fontana 2012-02-22 08:12:29 EST
(In reply to comment #4)
> Does this lift mean that the use of mingw-w64 in Fedora is approved by Red Hat
> Legal now?
 
I would not conclude anything other than that the block no longer exists. Package review can proceed as in the ordinary course.
Comment 6 Erik van Pienbroek 2012-02-25 16:58:54 EST
Based on the review remarks in the mingw-header package here's an updated version of the mingw-crt package

Updated Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-crt/mingw-crt.spec
Updated SRPM URL: http://build1.openftd.org/fedora-cross/src/mingw-crt-2.0.999-0.4.trunk.20120224.fc18_cross.src.rpm

* Sat Feb 25 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.0.999-0.4.trunk.20120224
- Update to mingw-w64 trunk 20120224 snapshot
- Made the win64 pieces optional for now (pending approval of the mingw-gcc/mingw-binutils package reviews)
- Dropped the use of the mingw_pkg_name macro
- Eliminated some conditionals related to snapshot builds
- Use smaller SourceForge source URLs
- Improved summary of the various packages
- Simplified the configure, make and make install calls
- Dropped upstreamed patch
- Added DISCLAIMER and DISCLAIMER.PD files
- Added ZPLv2.1 to the license tag
- Bumped obsoletes/provides version for mingw32-runtime
Comment 7 Kalev Lember 2012-02-25 17:32:44 EST
Fedora review of mingw-crt-2.0.999-0.4.trunk.20120224.fc18_cross.src.rpm 2012-02-25

+ OK
! needs attention

rpmlint output:

$ rpmlint mingw-crt-2.0.999-0.4.trunk.20120224.fc16.src.rpm \
          mingw32-crt-2.0.999-0.4.trunk.20120224.fc16.noarch.rpm \
          mingw64-crt-2.0.999-0.4.trunk.20120224.fc16.noarch.rpm
mingw-crt.src: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
mingw-crt.src: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
mingw32-crt.noarch: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
mingw32-crt.noarch: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
mingw64-crt.noarch: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
mingw64-crt.noarch: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
mingw64-crt.noarch: E: arch-independent-package-contains-binary-or-object /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libwsock32.a
[snip, 1601 similar errors cut out for brevity]
3 packages and 0 specfiles checked; 1602 errors, 6 warnings.

+ The rpmlint errors / warnings are harmless and can be ignored
+ The package is named according to Fedora MinGW packaging guidelines
+ The spec file name matches the base package name.
+ The package meets the Packaging Guidelines
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.
+ The license field in the spec file matches the actual license
+ The package contains the license files (COPYING DISCLAIMER DISCLAIMER.PD)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm. md5sum:
  1223b8f402e1e6296c5b70d63b37d4b0  mingw-w64-src_20120224.tar.bz2
  1223b8f402e1e6296c5b70d63b37d4b0  Download/mingw-w64-src_20120224.tar.bz2
+ The package builds on primary architectures
n/a ExcludeArch bugs filed
+ BuildRequires look sane
n/a The spec file must handle locales properly
n/a ldconfig in %post and %postun
+ Package does not bundle copies of system libraries
n/a Package isn't relocatable
+ Package owns all directories it creates
+ No duplicate files in %files
+ Permissions are properly set
+ Consistent use of macros
+ The package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
  Not applicable to MinGW packages.
n/a Static libraries must be in -static
n/a Development files must be in a -devel package
  Not applicable to MinGW packages.
n/a -devel must require the fully versioned base
+ Packages must not contain libtool .la files
n/a Packages containing GUI apps must include %{name}.desktop file
+ Directory ownership sane
+ Filenames are valid UTF-8
+ Proper Obsoletes / Provides for replacing mingw32-runtime

Looks good.

APPROVED
Comment 8 Erik van Pienbroek 2012-02-25 17:35:57 EST
New Package SCM Request
=======================
Package Name: mingw-crt
Short Description: MinGW Windows cross-compiler runtime
Owners: epienbro kalev rjones ktietz
Branches: f17
InitialCC:
Comment 9 Jon Ciesla 2012-02-27 08:31:20 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-02-28 11:51:57 EST
mingw-antlr-2.7.7-8.fc17,mingw-crt-2.0.999-0.4.trunk.20120224.fc17,mingw-filesystem-95-2.fc17,mingw-ftplib-3.1-5.fc17,mingw-gdb-7.3-3.fc17,mingw-goocanvas2-2.0.1-3.fc17,mingw-gstreamer-0.10.35-4.fc17,mingw-gstreamer-plugins-base-0.10.35-3.fc17,mingw-gtk3-3.3.16-1.fc17,mingw-gtkmm30-3.2.0-4.fc17,mingw-gtksourceview3-3.2.0-4.fc17,mingw-headers-2.0.999-0.4.trunk.20120224.fc17,mingw-icu-4.8.1.1-4.fc17,mingw-libjpeg-turbo-1.1.1-7.fc17,mingw-libtasn1-2.9-4.fc17,mingw-libvorbis-1.3.2-4.fc17,mingw-p11-kit-0.10-2.fc17,mingw-pkg-config-0.26-4.fc17,mingw-win-iconv-0.0.3-6.fc17,mingw-wxWidgets-2.8.12-9.fc17,mingw32-SDL-1.2.13-12.fc17,mingw32-SDL_image-1.2.12-2.fc17,mingw32-SDL_mixer-1.2.11-5.fc17,mingw32-atk-2.2.0-3.fc17,mingw32-atkmm-2.22.6-1.fc17,mingw32-binutils-2.22.52-1.fc17,mingw32-boost-1.48.0-4.fc17,mingw32-bzip2-1.0.5-11.fc17,mingw32-cairo-1.10.2-9.fc17,mingw32-cairomm-1.10.0-4.fc17,mingw32-celt051-0.5.1.3-6.fc17,mingw32-cppunit-1.12.1-7.fc17,mingw32-crossreport-8-1.fc17,mingw32-curl-7.20.1-5.fc17,mingw32-cxxtest-3.10.1-7.fc17,mingw32-dbus-1.4.6-3.fc17,mingw32-dirac-1.0.2-6.fc17,mingw32-dlfcn-0-0.11.r11.fc17,mingw32-enchant-1.6.0-3.fc17,mingw32-expat-2.0.1-9.fc17,mingw32-fontconfig-2.8.0-4.fc17,mingw32-freeglut-2.6.0-0.4.rc1.fc17,mingw32-freetype-2.4.8-2.fc17,mingw32-gcc-4.7.0-0.5.20120224.fc17,mingw32-gdbm-1.8.0-8.fc17,mingw32-gdk-pixbuf-2.25.2-3.fc17,mingw32-gettext-0.18.1.1-5.fc17,mingw32-glib-networking-2.31.16-1.fc17,mingw32-glib2-2.31.18-1.fc17,mingw32-glibmm24-2.31.2-3.fc17,mingw32-gnutls-2.12.14-4.fc17,mingw32-gtk-vnc-0.5.0-5.fc17,mingw32-gtk2-2.24.10-2.fc17,mingw32-gtkhtml3-3.32.2-5.fc17,mingw32-gtkmm24-2.24.2-4.fc17,mingw32-hunspell-1.3.2-3.fc17,mingw32-jasper-1.900.1-15.fc17,mingw32-libffi-3.0.9-4.fc17,mingw32-libgcrypt-1.4.4-7.fc17,mingw32-libgeotiff-1.3.0-0.4.svn1664.fc17,mingw32-libglade2-2.6.4-11.fc17,mingw32-libglademm24-2.6.7-14.fc17,mingw32-libgnurx-2.5.1-9.fc17,mingw32-libgpg-error-1.6-16.fc17,mingw32-libidn-1.14-11.fc17,mingw32-libltdl-2.4-5.fc17,mingw32-libogg-1.1.4-5.fc17,mingw32-liboil-0.3.16-5.fc17,mingw32-libp11-0.2.8-3.fc17,mingw32-libpng-1.5.7-2.fc17,mingw32-libsigc++20-2.2.10-4.fc17,mingw32-libsigsegv-2.6-4.fc17,mingw32-libsoup-2.37.90-1.fc17,mingw32-libsqlite3x-20071018-14.fc17,mingw32-libssh2-1.1-8.fc17,mingw32-libtiff-3.9.5-4.fc17,mingw32-libvirt-0.9.10-2.fc17,mingw32-libxml++-2.34.2-4.fc17,mingw32-libxml2-2.7.8-4.fc17,mingw32-libxslt-1.1.26-6.fc17,mingw32-libzip-0.9-5.fc17,mingw32-matahari-0.5.0-1.fc17.3,mingw32-nsis-2.46-6.fc17,mingw32-nsiswrapper-9-2.fc17,mingw32-openjpeg-1.3-8.fc17,mingw32-opensc-0.12.2-3.fc17,mingw32-openssl-1.0.0d-3.fc17,mingw32-pango-1.29.5-2.fc17,mingw32-pangomm-2.28.3-4.fc17,mingw32-pcre-8.10-6.fc17,mingw32-pdcurses-3.4-10.fc17,mingw32-pixman-0.24.4-1.fc17,mingw32-plotmm-0.1.2-12.fc17,mingw32-portablexdr-4.9.1-5.fc17,mingw32-proj-4.6.1-7.fc17,mingw32-pthreads-2.8.0-17.20110511cvs.fc17,mingw32-qpid-cpp-0.14-1.fc17,mingw32-qt-4.8.0-5.fc17,mingw32-qt-qmake-4.8.0-4.fc17,mingw32-qwt-5.2.1-5.fc17,mingw32-readline-5.2-10.fc17,mingw32-sigar-1.6.5-0.7.git58097d9.fc17,mingw32-spice-protocol-0.8.0-3.fc17,mingw32-sqlite-3.7.9-2.fc17,mingw32-srvany-1.0-7.fc17,mingw32-tcl-8.5.11-2.fc17,mingw32-termcap-1.3.1-11.fc17,mingw32-tk-8.5.9-4.fc17,mingw32-webkitgtk-1.7.5-5.fc17,mingw32-wpcap-4.1.final2-5.fc17,mingw32-xerces-c-3.1.1-3.fc17,mingw32-zfstream-20041202-11.fc17,mingw32-zlib-1.2.5-8.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mingw-antlr-2.7.7-8.fc17,mingw-crt-2.0.999-0.4.trunk.20120224.fc17,mingw-filesystem-95-2.fc17,mingw-ftplib-3.1-5.fc17,mingw-gdb-7.3-3.fc17,mingw-goocanvas2-2.0.1-3.fc17,mingw-gstreamer-0.10.35-4.fc17,mingw-gstreamer-plugins-base-0.10.35-3.fc17,mingw-gtk3-3.3.16-1.fc17,mingw-gtkmm30-3.2.0-4.fc17,mingw-gtksourceview3-3.2.0-4.fc17,mingw-headers-2.0.999-0.4.trunk.20120224.fc17,mingw-icu-4.8.1.1-4.fc17,mingw-libjpeg-turbo-1.1.1-7.fc17,mingw-libtasn1-2.9-4.fc17,mingw-libvorbis-1.3.2-4.fc17,mingw-p11-kit-0.10-2.fc17,mingw-pkg-config-0.26-4.fc17,mingw-win-iconv-0.0.3-6.fc17,mingw-wxWidgets-2.8.12-9.fc17,mingw32-SDL-1.2.13-12.fc17,mingw32-SDL_image-1.2.12-2.fc17,mingw32-SDL_mixer-1.2.11-5.fc17,mingw32-atk-2.2.0-3.fc17,mingw32-atkmm-2.22.6-1.fc17,mingw32-binutils-2.22.52-1.fc17,mingw32-boost-1.48.0-4.fc17,mingw32-bzip2-1.0.5-11.fc17,mingw32-cairo-1.10.2-9.fc17,mingw32-cairomm-1.10.0-4.fc17,mingw32-celt051-0.5.1.3-6.fc17,mingw32-cppunit-1.12.1-7.fc17,mingw32-crossreport-8-1.fc17,mingw32-curl-7.20.1-5.fc17,mingw32-cxxtest-3.10.1-7.fc17,mingw32-dbus-1.4.6-3.fc17,mingw32-dirac-1.0.2-6.fc17,mingw32-dlfcn-0-0.11.r11.fc17,mingw32-enchant-1.6.0-3.fc17,mingw32-expat-2.0.1-9.fc17,mingw32-fontconfig-2.8.0-4.fc17,mingw32-freeglut-2.6.0-0.4.rc1.fc17,mingw32-freetype-2.4.8-2.fc17,mingw32-gcc-4.7.0-0.5.20120224.fc17,mingw32-gdbm-1.8.0-8.fc17,mingw32-gdk-pixbuf-2.25.2-3.fc17,mingw32-gettext-0.18.1.1-5.fc17,mingw32-glib-networking-2.31.16-1.fc17,mingw32-glib2-2.31.18-1.fc17,mingw32-glibmm24-2.31.2-3.fc17,mingw32-gnutls-2.12.14-4.fc17,mingw32-gtk-vnc-0.5.0-5.fc17,mingw32-gtk2-2.24.10-2.fc17,mingw32-gtkhtml3-3.32.2-5.fc17,mingw32-gtkmm24-2.24.2-4.fc17,mingw32-hunspell-1.3.2-3.fc17,mingw32-jasper-1.900.1-15.fc17,mingw32-libffi-3.0.9-4.fc17,mingw32-libgcrypt-1.4.4-7.fc17,mingw32-libgeotiff-1.3.0-0.4.svn1664.fc17,mingw32-libglade2-2.6.4-11.fc17,mingw32-libglademm24-2.6.7-14.fc17,mingw32-libgnurx-2.5.1-9.fc17,mingw32-libgpg-error-1.6-16.fc17,mingw32-libidn-1.14-11.fc17,mingw32-libltdl-2.4-5.fc17,mingw32-libogg-1.1.4-5.fc17,mingw32-liboil-0.3.16-5.fc17,mingw32-libp11-0.2.8-3.fc17,mingw32-libpng-1.5.7-2.fc17,mingw32-libsigc++20-2.2.10-4.fc17,mingw32-libsigsegv-2.6-4.fc17,mingw32-libsoup-2.37.90-1.fc17,mingw32-libsqlite3x-20071018-14.fc17,mingw32-libssh2-1.1-8.fc17,mingw32-libtiff-3.9.5-4.fc17,mingw32-libvirt-0.9.10-2.fc17,mingw32-libxml++-2.34.2-4.fc17,mingw32-libxml2-2.7.8-4.fc17,mingw32-libxslt-1.1.26-6.fc17,mingw32-libzip-0.9-5.fc17,mingw32-matahari-0.5.0-1.fc17.3,mingw32-nsis-2.46-6.fc17,mingw32-nsiswrapper-9-2.fc17,mingw32-openjpeg-1.3-8.fc17,mingw32-opensc-0.12.2-3.fc17,mingw32-openssl-1.0.0d-3.fc17,mingw32-pango-1.29.5-2.fc17,mingw32-pangomm-2.28.3-4.fc17,mingw32-pcre-8.10-6.fc17,mingw32-pdcurses-3.4-10.fc17,mingw32-pixman-0.24.4-1.fc17,mingw32-plotmm-0.1.2-12.fc17,mingw32-portablexdr-4.9.1-5.fc17,mingw32-proj-4.6.1-7.fc17,mingw32-pthreads-2.8.0-17.20110511cvs.fc17,mingw32-qpid-cpp-0.14-1.fc17,mingw32-qt-4.8.0-5.fc17,mingw32-qt-qmake-4.8.0-4.fc17,mingw32-qwt-5.2.1-5.fc17,mingw32-readline-5.2-10.fc17,mingw32-sigar-1.6.5-0.7.git58097d9.fc17,mingw32-spice-protocol-0.8.0-3.fc17,mingw32-sqlite-3.7.9-2.fc17,mingw32-srvany-1.0-7.fc17,mingw32-tcl-8.5.11-2.fc17,mingw32-termcap-1.3.1-11.fc17,mingw32-tk-8.5.9-4.fc17,mingw32-webkitgtk-1.7.5-5.fc17,mingw32-wpcap-4.1.final2-5.fc17,mingw32-xerces-c-3.1.1-3.fc17,mingw32-zfstream-20041202-11.fc17,mingw32-zlib-1.2.5-8.fc17
Comment 11 Fedora Update System 2012-02-28 15:40:47 EST
Package mingw-antlr-2.7.7-8.fc17, mingw-crt-2.0.999-0.4.trunk.20120224.fc17, mingw-filesystem-95-2.fc17, mingw-ftplib-3.1-5.fc17, mingw-gdb-7.3-3.fc17, mingw-goocanvas2-2.0.1-3.fc17, mingw-gstreamer-0.10.35-4.fc17, mingw-gstreamer-plugins-base-0.10.35-3.fc17, mingw-gtk3-3.3.16-1.fc17, mingw-gtkmm30-3.2.0-4.fc17, mingw-gtksourceview3-3.2.0-4.fc17, mingw-headers-2.0.999-0.4.trunk.20120224.fc17, mingw-icu-4.8.1.1-4.fc17, mingw-libjpeg-turbo-1.1.1-7.fc17, mingw-libtasn1-2.9-4.fc17, mingw-libvorbis-1.3.2-4.fc17, mingw-p11-kit-0.10-2.fc17, mingw-pkg-config-0.26-4.fc17, mingw-win-iconv-0.0.3-6.fc17, mingw-wxWidgets-2.8.12-9.fc17, mingw32-SDL-1.2.13-12.fc17, mingw32-SDL_image-1.2.12-2.fc17, mingw32-SDL_mixer-1.2.11-5.fc17, mingw32-atk-2.2.0-3.fc17, mingw32-atkmm-2.22.6-1.fc17, mingw32-binutils-2.22.52-1.fc17, mingw32-boost-1.48.0-4.fc17, mingw32-bzip2-1.0.5-11.fc17, mingw32-cairo-1.10.2-9.fc17, mingw32-cairomm-1.10.0-4.fc17, mingw32-celt051-0.5.1.3-6.fc17, mingw32-cppunit-1.12.1-7.fc17, mingw32-crossreport-8-1.fc17, mingw32-curl-7.20.1-5.fc17, mingw32-cxxtest-3.10.1-7.fc17, mingw32-dbus-1.4.6-3.fc17, mingw32-dirac-1.0.2-6.fc17, mingw32-dlfcn-0-0.11.r11.fc17, mingw32-enchant-1.6.0-3.fc17, mingw32-expat-2.0.1-9.fc17, mingw32-fontconfig-2.8.0-4.fc17, mingw32-freeglut-2.6.0-0.4.rc1.fc17, mingw32-freetype-2.4.8-2.fc17, mingw32-gcc-4.7.0-0.5.20120224.fc17, mingw32-gdbm-1.8.0-8.fc17, mingw32-gdk-pixbuf-2.25.2-3.fc17, mingw32-gettext-0.18.1.1-5.fc17, mingw32-glib-networking-2.31.16-1.fc17, mingw32-glib2-2.31.18-1.fc17, mingw32-glibmm24-2.31.2-3.fc17, mingw32-gnutls-2.12.14-4.fc17, mingw32-gtk-vnc-0.5.0-5.fc17, mingw32-gtk2-2.24.10-2.fc17, mingw32-gtkhtml3-3.32.2-5.fc17, mingw32-gtkmm24-2.24.2-4.fc17, mingw32-hunspell-1.3.2-3.fc17, mingw32-jasper-1.900.1-15.fc17, mingw32-libffi-3.0.9-4.fc17, mingw32-libgcrypt-1.4.4-7.fc17, mingw32-libgeotiff-1.3.0-0.4.svn1664.fc17, mingw32-libglade2-2.6.4-11.fc17, mingw32-libglademm24-2.6.7-14.fc17, mingw32-libgnurx-2.5.1-9.fc17, mingw32-libgpg-error-1.6-16.fc17, mingw32-libidn-1.14-11.fc17, mingw32-libltdl-2.4-5.fc17, mingw32-libogg-1.1.4-5.fc17, mingw32-liboil-0.3.16-5.fc17, mingw32-libp11-0.2.8-3.fc17, mingw32-libpng-1.5.7-2.fc17, mingw32-libsigc++20-2.2.10-4.fc17, mingw32-libsigsegv-2.6-4.fc17, mingw32-libsoup-2.37.90-1.fc17, mingw32-libsqlite3x-20071018-14.fc17, mingw32-libssh2-1.1-8.fc17, mingw32-libtiff-3.9.5-4.fc17, mingw32-libvirt-0.9.10-2.fc17, mingw32-libxml++-2.34.2-4.fc17, mingw32-libxml2-2.7.8-4.fc17, mingw32-libxslt-1.1.26-6.fc17, mingw32-libzip-0.9-5.fc17, mingw32-matahari-0.5.0-1.fc17.3, mingw32-nsis-2.46-6.fc17, mingw32-nsiswrapper-9-2.fc17, mingw32-openjpeg-1.3-8.fc17, mingw32-opensc-0.12.2-3.fc17, mingw32-openssl-1.0.0d-3.fc17, mingw32-pango-1.29.5-2.fc17, mingw32-pangomm-2.28.3-4.fc17, mingw32-pcre-8.10-6.fc17, mingw32-pdcurses-3.4-10.fc17, mingw32-pixman-0.24.4-1.fc17, mingw32-plotmm-0.1.2-12.fc17, mingw32-portablexdr-4.9.1-5.fc17, mingw32-proj-4.6.1-7.fc17, mingw32-pthreads-2.8.0-17.20110511cvs.fc17, mingw32-qpid-cpp-0.14-1.fc17, mingw32-qt-4.8.0-5.fc17, mingw32-qt-qmake-4.8.0-4.fc17, mingw32-qwt-5.2.1-5.fc17, mingw32-readline-5.2-10.fc17, mingw32-sigar-1.6.5-0.7.git58097d9.fc17, mingw32-spice-protocol-0.8.0-3.fc17, mingw32-sqlite-3.7.9-2.fc17, mingw32-srvany-1.0-7.fc17, mingw32-tcl-8.5.11-2.fc17, mingw32-termcap-1.3.1-11.fc17, mingw32-tk-8.5.9-4.fc17, mingw32-webkitgtk-1.7.5-5.fc17, mingw32-wpcap-4.1.final2-5.fc17, mingw32-xerces-c-3.1.1-3.fc17, mingw32-zfstream-20041202-11.fc17, mingw32-zlib-1.2.5-8.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mingw-antlr-2.7.7-8.fc17 mingw-crt-2.0.999-0.4.trunk.20120224.fc17 mingw-filesystem-95-2.fc17 mingw-ftplib-3.1-5.fc17 mingw-gdb-7.3-3.fc17 mingw-goocanvas2-2.0.1-3.fc17 mingw-gstreamer-0.10.35-4.fc17 mingw-gstreamer-plugins-base-0.10.35-3.fc17 mingw-gtk3-3.3.16-1.fc17 mingw-gtkmm30-3.2.0-4.fc17 mingw-gtksourceview3-3.2.0-4.fc17 mingw-headers-2.0.999-0.4.trunk.20120224.fc17 mingw-icu-4.8.1.1-4.fc17 mingw-libjpeg-turbo-1.1.1-7.fc17 mingw-libtasn1-2.9-4.fc17 mingw-libvorbis-1.3.2-4.fc17 mingw-p11-kit-0.10-2.fc17 mingw-pkg-config-0.26-4.fc17 mingw-win-iconv-0.0.3-6.fc17 mingw-wxWidgets-2.8.12-9.fc17 mingw32-SDL-1.2.13-12.fc17 mingw32-SDL_image-1.2.12-2.fc17 mingw32-SDL_mixer-1.2.11-5.fc17 mingw32-atk-2.2.0-3.fc17 mingw32-atkmm-2.22.6-1.fc17 mingw32-binutils-2.22.52-1.fc17 mingw32-boost-1.48.0-4.fc17 mingw32-bzip2-1.0.5-11.fc17 mingw32-cairo-1.10.2-9.fc17 mingw32-cairomm-1.10.0-4.fc17 mingw32-celt051-0.5.1.3-6.fc17 mingw32-cppunit-1.12.1-7.fc17 mingw32-crossreport-8-1.fc17 mingw32-curl-7.20.1-5.fc17 mingw32-cxxtest-3.10.1-7.fc17 mingw32-dbus-1.4.6-3.fc17 mingw32-dirac-1.0.2-6.fc17 mingw32-dlfcn-0-0.11.r11.fc17 mingw32-enchant-1.6.0-3.fc17 mingw32-expat-2.0.1-9.fc17 mingw32-fontconfig-2.8.0-4.fc17 mingw32-freeglut-2.6.0-0.4.rc1.fc17 mingw32-freetype-2.4.8-2.fc17 mingw32-gcc-4.7.0-0.5.20120224.fc17 mingw32-gdbm-1.8.0-8.fc17 mingw32-gdk-pixbuf-2.25.2-3.fc17 mingw32-gettext-0.18.1.1-5.fc17 mingw32-glib-networking-2.31.16-1.fc17 mingw32-glib2-2.31.18-1.fc17 mingw32-glibmm24-2.31.2-3.fc17 mingw32-gnutls-2.12.14-4.fc17 mingw32-gtk-vnc-0.5.0-5.fc17 mingw32-gtk2-2.24.10-2.fc17 mingw32-gtkhtml3-3.32.2-5.fc17 mingw32-gtkmm24-2.24.2-4.fc17 mingw32-hunspell-1.3.2-3.fc17 mingw32-jasper-1.900.1-15.fc17 mingw32-libffi-3.0.9-4.fc17 mingw32-libgcrypt-1.4.4-7.fc17 mingw32-libgeotiff-1.3.0-0.4.svn1664.fc17 mingw32-libglade2-2.6.4-11.fc17 mingw32-libglademm24-2.6.7-14.fc17 mingw32-libgnurx-2.5.1-9.fc17 mingw32-libgpg-error-1.6-16.fc17 mingw32-libidn-1.14-11.fc17 mingw32-libltdl-2.4-5.fc17 mingw32-libogg-1.1.4-5.fc17 mingw32-liboil-0.3.16-5.fc17 mingw32-libp11-0.2.8-3.fc17 mingw32-libpng-1.5.7-2.fc17 mingw32-libsigc++20-2.2.10-4.fc17 mingw32-libsigsegv-2.6-4.fc17 mingw32-libsoup-2.37.90-1.fc17 mingw32-libsqlite3x-20071018-14.fc17 mingw32-libssh2-1.1-8.fc17 mingw32-libtiff-3.9.5-4.fc17 mingw32-libvirt-0.9.10-2.fc17 mingw32-libxml++-2.34.2-4.fc17 mingw32-libxml2-2.7.8-4.fc17 mingw32-libxslt-1.1.26-6.fc17 mingw32-libzip-0.9-5.fc17 mingw32-matahari-0.5.0-1.fc17.3 mingw32-nsis-2.46-6.fc17 mingw32-nsiswrapper-9-2.fc17 mingw32-openjpeg-1.3-8.fc17 mingw32-opensc-0.12.2-3.fc17 mingw32-openssl-1.0.0d-3.fc17 mingw32-pango-1.29.5-2.fc17 mingw32-pangomm-2.28.3-4.fc17 mingw32-pcre-8.10-6.fc17 mingw32-pdcurses-3.4-10.fc17 mingw32-pixman-0.24.4-1.fc17 mingw32-plotmm-0.1.2-12.fc17 mingw32-portablexdr-4.9.1-5.fc17 mingw32-proj-4.6.1-7.fc17 mingw32-pthreads-2.8.0-17.20110511cvs.fc17 mingw32-qpid-cpp-0.14-1.fc17 mingw32-qt-4.8.0-5.fc17 mingw32-qt-qmake-4.8.0-4.fc17 mingw32-qwt-5.2.1-5.fc17 mingw32-readline-5.2-10.fc17 mingw32-sigar-1.6.5-0.7.git58097d9.fc17 mingw32-spice-protocol-0.8.0-3.fc17 mingw32-sqlite-3.7.9-2.fc17 mingw32-srvany-1.0-7.fc17 mingw32-tcl-8.5.11-2.fc17 mingw32-termcap-1.3.1-11.fc17 mingw32-tk-8.5.9-4.fc17 mingw32-webkitgtk-1.7.5-5.fc17 mingw32-wpcap-4.1.final2-5.fc17 mingw32-xerces-c-3.1.1-3.fc17 mingw32-zfstream-20041202-11.fc17 mingw32-zlib-1.2.5-8.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2619/mingw-antlr-2.7.7-8.fc17,mingw-crt-2.0.999-0.4.trunk.20120224.fc17,mingw-filesystem-95-2.fc17,mingw-ftplib-3.1-5.fc17,mingw-gdb-7.3-3.fc17,mingw-goocanvas2-2.0.1-3.fc17,mingw-gstreamer-0.10.35-4.fc17,mingw-gstreamer-plugins-base-0.10.35-3.fc17,mingw-gtk3-3.3.16-1.fc17,mingw-gtkmm30-3.2.0-4.fc17,mingw-gtksourceview3-3.2.0-4.fc17,mingw-headers-2.0.999-0.4.trunk.20120224.fc17,mingw-icu-4.8.1.1-4.fc17,mingw-libjpeg-turbo-1.1.1-7.fc17,mingw-libtasn1-2.9-4.fc17,mingw-libvorbis-1.3.2-4.fc17,mingw-p11-kit-0.10-2.fc17,mingw-pkg-config-0.26-4.fc17,mingw-win-iconv-0.0.3-6.fc17,mingw-wxWidgets-2.8.12-9.fc17,mingw32-SDL-1.2.13-12.fc17,mingw32-SDL_image-1.2.12-2.fc17,mingw32-SDL_mixer-1.2.11-5.fc17,mingw32-atk-2.2.0-3.fc17,mingw32-atkmm-2.22.6-1.fc17,mingw32-binutils-2.22.52-1.fc17,mingw32-boost-1.48.0-4.fc17,mingw32-bzip2-1.0.5-11.fc17,mingw32-cairo-1.10.2-9.fc17,mingw32-cairomm-1.10.0-4.fc17,mingw32-celt051-0.5.1.3-6.fc17,mingw32-cppunit-1.12.1-7.fc17,mingw32-crossreport-8-1.fc17,mingw32-curl-7.20.1-5.fc17,mingw32-cxxtest-3.10.1-7.fc17,mingw32-dbus-1.4.6-3.fc17,mingw32-dirac-1.0.2-6.fc17,mingw32-dlfcn-0-0.11.r11.fc17,mingw32-enchant-1.6.0-3.fc17,mingw32-expat-2.0.1-9.fc17,mingw32-fontconfig-2.8.0-4.fc17,mingw32-freeglut-2.6.0-0.4.rc1.fc17,mingw32-freetype-2.4.8-2.fc17,mingw32-gcc-4.7.0-0.5.20120224.fc17,mingw32-gdbm-1.8.0-8.fc17,mingw32-gdk-pixbuf-2.25.2-3.fc17,mingw32-gettext-0.18.1.1-5.fc17,mingw32-glib-networking-2.31.16-1.fc17,mingw32-glib2-2.31.18-1.fc17,mingw32-glibmm24-2.31.2-3.fc17,mingw32-gnutls-2.12.14-4.fc17,mingw32-gtk-vnc-0.5.0-5.fc17,mingw32-gtk2-2.24.10-2.fc17,mingw32-gtkhtml3-3.32.2-5.fc17,mingw32-gtkmm24-2.24.2-4.fc17,mingw32-hunspell-1.3.2-3.fc17,mingw32-jasper-1.900.1-15.fc17,mingw32-libffi-3.0.9-4.fc17,mingw32-libgcrypt-1.4.4-7.fc17,mingw32-libgeotiff-1.3.0-0.4.svn1664.fc17,mingw32-libglade2-2.6.4-11.fc17,mingw32-libglademm24-2.6.7-14.fc17,mingw32-libgnurx-2.5.1-9.fc17,mingw32-libgpg-error-1.6-16.fc17,mingw32-libidn-1.14-11.fc17,mingw32-libltdl-2.4-5.fc17,mingw32-libogg-1.1.4-5.fc17,mingw32-liboil-0.3.16-5.fc17,mingw32-libp11-0.2.8-3.fc17,mingw32-libpng-1.5.7-2.fc17,mingw32-libsigc++20-2.2.10-4.fc17,mingw32-libsigsegv-2.6-4.fc17,mingw32-libsoup-2.37.90-1.fc17,mingw32-libsqlite3x-20071018-14.fc17,mingw32-libssh2-1.1-8.fc17,mingw32-libtiff-3.9.5-4.fc17,mingw32-libvirt-0.9.10-2.fc17,mingw32-libxml++-2.34.2-4.fc17,mingw32-libxml2-2.7.8-4.fc17,mingw32-libxslt-1.1.26-6.fc17,mingw32-libzip-0.9-5.fc17,mingw32-matahari-0.5.0-1.fc17.3,mingw32-nsis-2.46-6.fc17,mingw32-nsiswrapper-9-2.fc17,mingw32-openjpeg-1.3-8.fc17,mingw32-opensc-0.12.2-3.fc17,mingw32-openssl-1.0.0d-3.fc17,mingw32-pango-1.29.5-2.fc17,mingw32-pangomm-2.28.3-4.fc17,mingw32-pcre-8.10-6.fc17,mingw32-pdcurses-3.4-10.fc17,mingw32-pixman-0.24.4-1.fc17,mingw32-plotmm-0.1.2-12.fc17,mingw32-portablexdr-4.9.1-5.fc17,mingw32-proj-4.6.1-7.fc17,mingw32-pthreads-2.8.0-17.20110511cvs.fc17,mingw32-qpid-cpp-0.14-1.fc17,mingw32-qt-4.8.0-5.fc17,mingw32-qt-qmake-4.8.0-4.fc17,mingw32-qwt-5.2.1-5.fc17,mingw32-readline-5.2-10.fc17,mingw32-sigar-1.6.5-0.7.git58097d9.fc17,mingw32-spice-protocol-0.8.0-3.fc17,mingw32-sqlite-3.7.9-2.fc17,mingw32-srvany-1.0-7.fc17,mingw32-tcl-8.5.11-2.fc17,mingw32-termcap-1.3.1-11.fc17,mingw32-tk-8.5.9-4.fc17,mingw32-webkitgtk-1.7.5-5.fc17,mingw32-wpcap-4.1.final2-5.fc17,mingw32-xerces-c-3.1.1-3.fc17,mingw32-zfstream-20041202-11.fc17,mingw32-zlib-1.2.5-8.fc17
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2012-03-01 20:23:52 EST
mingw-antlr-2.7.7-8.fc17, mingw-crt-2.0.999-0.4.trunk.20120224.fc17, mingw-filesystem-95-2.fc17, mingw-ftplib-3.1-5.fc17, mingw-gdb-7.3-3.fc17, mingw-goocanvas2-2.0.1-3.fc17, mingw-gstreamer-0.10.35-4.fc17, mingw-gstreamer-plugins-base-0.10.35-3.fc17, mingw-gtk3-3.3.16-1.fc17, mingw-gtkmm30-3.2.0-4.fc17, mingw-gtksourceview3-3.2.0-4.fc17, mingw-headers-2.0.999-0.4.trunk.20120224.fc17, mingw-icu-4.8.1.1-4.fc17, mingw-libjpeg-turbo-1.1.1-7.fc17, mingw-libtasn1-2.9-4.fc17, mingw-libvorbis-1.3.2-4.fc17, mingw-p11-kit-0.10-2.fc17, mingw-pkg-config-0.26-4.fc17, mingw-win-iconv-0.0.3-6.fc17, mingw-wxWidgets-2.8.12-9.fc17, mingw32-SDL-1.2.13-12.fc17, mingw32-SDL_image-1.2.12-2.fc17, mingw32-SDL_mixer-1.2.11-5.fc17, mingw32-atk-2.2.0-3.fc17, mingw32-atkmm-2.22.6-1.fc17, mingw32-binutils-2.22.52-1.fc17, mingw32-boost-1.48.0-4.fc17, mingw32-bzip2-1.0.5-11.fc17, mingw32-cairo-1.10.2-9.fc17, mingw32-cairomm-1.10.0-4.fc17, mingw32-celt051-0.5.1.3-6.fc17, mingw32-cppunit-1.12.1-7.fc17, mingw32-crossreport-8-1.fc17, mingw32-curl-7.20.1-5.fc17, mingw32-cxxtest-3.10.1-7.fc17, mingw32-dbus-1.4.6-3.fc17, mingw32-dirac-1.0.2-6.fc17, mingw32-dlfcn-0-0.11.r11.fc17, mingw32-enchant-1.6.0-3.fc17, mingw32-expat-2.0.1-9.fc17, mingw32-fontconfig-2.8.0-4.fc17, mingw32-freeglut-2.6.0-0.4.rc1.fc17, mingw32-freetype-2.4.8-2.fc17, mingw32-gcc-4.7.0-0.5.20120224.fc17, mingw32-gdbm-1.8.0-8.fc17, mingw32-gdk-pixbuf-2.25.2-3.fc17, mingw32-gettext-0.18.1.1-5.fc17, mingw32-glib-networking-2.31.16-1.fc17, mingw32-glib2-2.31.18-1.fc17, mingw32-glibmm24-2.31.2-3.fc17, mingw32-gnutls-2.12.14-4.fc17, mingw32-gtk-vnc-0.5.0-5.fc17, mingw32-gtk2-2.24.10-2.fc17, mingw32-gtkhtml3-3.32.2-5.fc17, mingw32-gtkmm24-2.24.2-4.fc17, mingw32-hunspell-1.3.2-3.fc17, mingw32-jasper-1.900.1-15.fc17, mingw32-libffi-3.0.9-4.fc17, mingw32-libgcrypt-1.4.4-7.fc17, mingw32-libgeotiff-1.3.0-0.4.svn1664.fc17, mingw32-libglade2-2.6.4-11.fc17, mingw32-libglademm24-2.6.7-14.fc17, mingw32-libgnurx-2.5.1-9.fc17, mingw32-libgpg-error-1.6-16.fc17, mingw32-libidn-1.14-11.fc17, mingw32-libltdl-2.4-5.fc17, mingw32-libogg-1.1.4-5.fc17, mingw32-liboil-0.3.16-5.fc17, mingw32-libp11-0.2.8-3.fc17, mingw32-libpng-1.5.7-2.fc17, mingw32-libsigc++20-2.2.10-4.fc17, mingw32-libsigsegv-2.6-4.fc17, mingw32-libsoup-2.37.90-1.fc17, mingw32-libsqlite3x-20071018-14.fc17, mingw32-libssh2-1.1-8.fc17, mingw32-libtiff-3.9.5-4.fc17, mingw32-libvirt-0.9.10-2.fc17, mingw32-libxml++-2.34.2-4.fc17, mingw32-libxml2-2.7.8-4.fc17, mingw32-libxslt-1.1.26-6.fc17, mingw32-libzip-0.9-5.fc17, mingw32-matahari-0.5.0-1.fc17.3, mingw32-nsis-2.46-6.fc17, mingw32-nsiswrapper-9-2.fc17, mingw32-openjpeg-1.3-8.fc17, mingw32-opensc-0.12.2-3.fc17, mingw32-openssl-1.0.0d-3.fc17, mingw32-pango-1.29.5-2.fc17, mingw32-pangomm-2.28.3-4.fc17, mingw32-pcre-8.10-6.fc17, mingw32-pdcurses-3.4-10.fc17, mingw32-pixman-0.24.4-1.fc17, mingw32-plotmm-0.1.2-12.fc17, mingw32-portablexdr-4.9.1-5.fc17, mingw32-proj-4.6.1-7.fc17, mingw32-pthreads-2.8.0-17.20110511cvs.fc17, mingw32-qpid-cpp-0.14-1.fc17, mingw32-qt-4.8.0-5.fc17, mingw32-qt-qmake-4.8.0-4.fc17, mingw32-qwt-5.2.1-5.fc17, mingw32-readline-5.2-10.fc17, mingw32-sigar-1.6.5-0.7.git58097d9.fc17, mingw32-spice-protocol-0.8.0-3.fc17, mingw32-sqlite-3.7.9-2.fc17, mingw32-srvany-1.0-7.fc17, mingw32-tcl-8.5.11-2.fc17, mingw32-termcap-1.3.1-11.fc17, mingw32-tk-8.5.9-4.fc17, mingw32-webkitgtk-1.7.5-5.fc17, mingw32-wpcap-4.1.final2-5.fc17, mingw32-xerces-c-3.1.1-3.fc17, mingw32-zfstream-20041202-11.fc17, mingw32-zlib-1.2.5-8.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Erik van Pienbroek 2014-12-23 13:59:23 EST
Package Change Request
======================
Package Name: mingw-crt
New Branches: el6
Owners: epienbro
InitialCC:
Comment 14 Jon Ciesla 2014-12-23 15:04:56 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.